Bug 169098 - [PATCH] sysutils/fpart: update to 0.4
Summary: [PATCH] sysutils/fpart: update to 0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-15 11:10 UTC by koobs.freebsd
Modified: 2012-06-18 05:05 UTC (History)
1 user (show)

See Also:


Attachments
fpart-0.4.patch (855 bytes, patch)
2012-06-15 11:10 UTC, koobs.freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2012-06-15 11:10:01 UTC
- Update to 0.4

Changes: 2012/06/12

    - Now builds on Solaris (using FreeBSD's fts(3))
    - Fix stack overflow when allocating file entry pointers' array
    - Added preloading/rounding options -p, -q and -r. See fpart(1)
    - Added more verbose messages (option '-v')
    - Better error handling when unable to add file entries
      (mostly when running out of memory)
    - Verbose mode now accepts several levels
    - Added option '-m' (disabled by default), that tries to lower physical
      memory usage (at least during FS crawling) by using temporary file(s)
      and mmap(2) facility

Port maintainer (martymac@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-06-15 11:23:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2012-06-15 13:43:35 UTC
State Changed
From-To: open->closed

Port already updated (anyway, thanks for your contribution !)